.modal-window {
    position: fixed;
    background-color: rgba(41, 128, 185, 0.7);
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    visibility: hidden;
    opacity: 0;
    pointer-events: none;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
  }
  
  .modal-cam {
    position: fixed;
    background-color: rgba(0, 0, 18, 0.7);
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 999;
    -webkit-transition: all 0.3s;
    transition: all 0.3s;
  }
  
  .modal-window > div,
  .modal-cam > .video-wrapper {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    padding: 0;
  }
  
  .modal-window header,
  .modal-cam header {
    font-weight: bold;
  }
  
  #ro canvas {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0;
    margin-top: 2rem;
  }
  
  .spinner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 0;
    margin-top: 2rem;
    min-height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }
  
  .spinner-box {
    width: 300px;
    height: 300px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent;
  }
  
  .circle-border {
    width: 150px;
    height: 150px;
    padding: 3px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    background: rgb(63, 249, 220);
    background: linear-gradient(
      0deg,
      rgba(63, 249, 220, 0.1) 33%,
      rgba(63, 249, 220, 1) 100%
    );
    animation: spin 0.8s linear 0s infinite;
  }
  
  .circle-core {
    width: 100%;
    height: 100%;
    background-color: #ffffff;
    border-radius: 50%;
  }
  @keyframes spin {
    from {
      transform: rotate(0);
    }
    to {
      transform: rotate(359deg);
    }
  }
  
  .titling {
    color: #3087c3;
  }
  .titling span {
    color: #555555;
  }